NUMFMT(1)

NAMN
numfmt — konvertera tal från/till mänskligt läsbara strängar

SYNOPSIS
numfmt [FLAGGA]... [TAL]...

BESKRIVNING

Formaterar om TAL, eller talen från standard in om inga är givna.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--debug
    Skriv varningar om ogiltig indata.

-d, --delimiter=X
    Använd X istället för blanka som fältseparator.

--field=FÄLT
    Ersätt talen i dessa indatarader (standard är 1); se FÄLT nedan.

--format=FORMAT
    Använd flyttalsformat FORMAT av typ printf; se FORMAT nedan för detaljer.

--from=ENHET
    Skala automatiskt indatatal till ENHETer; standard är ”none”; se ENHET nedan.

--from-unit=N
    Ange indatas enhetsstorlek (istället för standard 1).

--grouping
    Använd lokaldefinierad gruppering av siffror, t.ex. 1 000 000 (vilket betyder att det inte har någon effekt i lokalen C/POSIX).

--header[=N]
    Skriv (utan konvertering) de första N rubrikraderna; N blir 1 som standard om det inte anges.

--invalid=SÄTT
    Felhanteringssätt för felaktiga tal: SÄTT kan vara: abort (standard), fail, warn, ignore.

--padding=N
    Fyll ut utdata till N tecken; positivt N kommer högerjustera; negativt N kommer vänsterjustera; utfyllnad ignoreras om utdata är bredare än N; standard är att automatiskt fylla ut om en blank finns.

--round=METOD
    Använd METOD för avrundning vid skalning; METOD kan vara: up, down, from-zero (standard), towards-zero, nearest.

--suffix=SUFFIX
    Använd SUFFIX för att skriva ut tal, och acceptera ett möjligt SUFFIX i indatatal.

--to=ENHET
    Skala automatiskt utdatatal till ENHETer; se ENHET nedan.

--to-unit=N
    Enhetsstorlek på utdata (istället för standard 1).

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

  ENHETSflaggor:

none
    ingen automatisk skalning görs; suffix kommer orsaka ett fel

auto
    acceptera valfria en-/tvåbokstavssuffix:

    1K = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  acceptera valfria enbokstavssuffix:

    1K = 1000, 1M = 1000000, ...

iec acceptera valfria enbokstavssuffix:

    1K = 1024, 1M = 1048576, ...

iec-i
    acceptera valfria tvåbokstavssuffix:

    1Ki = 1024, 1Mi = 1048576, ...

  FÄLT stödjer fältintervall i stilen för cut(1):

N   N:e fältet, räknat från 1

N-  från N:e fältet, till radslut

N-M från N:e till och med M:e fältet

-M  från första till och med M:e fältet

-   alla fält

Flera fält/intervall kan separeras med komman.

FORMAT måste passa för att skriva ett flyttalsargument ”%f”. En möjlig apostrof (%'f) kommer aktivera --grouping (om det stödjs av den aktuella lokalen). Ett möjligt värde på bredd (%10f) kommer fylla utdata. En möjlig nolla (%010f) i bredden kommer fylla talet med nollor. Ett möjligt negativt värde (%-10f) kommer vänsterställa utdata. En möjlig precision (%.1f) kommer åsidosätta precisionen som bestäms av indata.

Slutstatus är 0 om alla indatatal kunde konverteras. Som standard kommer numfmt sluta vid det första konverteringsfelet med slutstatus 2. Med --invalid='fail' skrivs en varning för varje konverteringsfel och slutstatus är 2. Med --invalid='warn' diagnostiseras varje konverteringsfel, men slutstatus är 0. Med --invalid='ignore' diagnostiseras inte konverteringsfel och slutstatusen är 0.

EXEMPEL

    $ numfmt --to=si 1000

    -> ”1.0K”

    $ numfmt --to=iec 2048

    -> ”2.0K”

    $ numfmt --to=iec-i 4096

    -> ”4.0Ki”

    $ echo 1K | numfmt --from=si

    -> ”1000”

    $ echo 1K | numfmt --from=iec

    -> ”1024”

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

UPPHOVSMAN
Skrivet av Assaf Gordon.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/numfmt>
eller tillgängligt lokalt via: info '(coreutils) numfmt invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.